Bug 1410264 - [RFE] - Update Satellite to map SLES "Operating System" from subscription-manager
Summary: [RFE] - Update Satellite to map SLES "Operating System" from subscription-man...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Justin Sherrill
QA Contact: Ales Dujicek
URL:
Whiteboard:
Depends On:
Blocks: 1536491 1546813
TreeView+ depends on / blocked
 
Reported: 2017-01-04 23:45 UTC by Dylan Gross
Modified: 2019-11-05 23:02 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:26:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:27:05 UTC
Foreman Issue Tracker 22797 None None None 2018-03-08 22:32:36 UTC

Description Dylan Gross 2017-01-04 23:45:34 UTC
1. Proposed title of this feature request  
      
       Update Satellite Mapping of "Operating System" for SLES Content Hosts
      
    2. ...
      
    3. What is the nature and description of the request?  

    When a SLES Conent Host is registered via subscription-manager, it does not get the "Operating System" field set when viewed either by "Hosts, All Hosts" or "Hosts, Content Hosts".

    Either to add a mapping in Satellite so that when a SLES Content Host is registered, it's "Operating System" column will be populated with something appropriate.     Or, if something can be passed from the facts from subscription manager to allow it to be set from that.
      
    4. Why does the customer need this? (List the business requirements here) 

    SLES Content Hosts are not being categorized by Operating System and are more difficult to identify.
 
      
    5. How would the customer like to achieve this? (List the functional requirements here)  

  
      
    6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
      
    After registering a SLES Content Host, the "Operating System" field is populated instead of blank in "Hosts, All Hosts" and "Hosts, Content Hosts"

    7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
         No  
      
    8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
         No
      
    9. Is the sales team involved in this request and do they have any additional input?  
         Yes
      
    10. List any affected packages or components.  
        tfm-rubygem-katello ?

    11. Would the customer be able to assist in testing this functionality if implemented?  
        Yes

Comment 7 pm-sat@redhat.com 2018-03-16 14:08:03 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/22797 has been resolved.

Comment 13 errata-xmlrpc 2018-10-16 15:26:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.